# This file was created automatically by SWIG 1.3.27.
# Don't modify this file, modify the SWIG interface instead.

import _gpod

# This file is compatible with both classic and new-style classes.
def _swig_setattr_nondynamic(self,class_type,name,value,static=1):
    if (name == "this"):
        if isinstance(value, class_type):
            self.__dict__[name] = value.this
            if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
            del value.thisown
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    if (not static) or hasattr(self,name) or (name == "thisown"):
        self.__dict__[name] = value
    else:
        raise AttributeError("You cannot add attributes to %s" % self)

def _swig_setattr(self,class_type,name,value):
    return _swig_setattr_nondynamic(self,class_type,name,value,0)

def _swig_getattr(self,class_type,name):
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0
del types



sw_get_tracks = _gpod.sw_get_tracks

sw_get_playlists = _gpod.sw_get_playlists

sw_get_playlist_tracks = _gpod.sw_get_playlist_tracks
ITDB_THUMB_COVER_SMALL = _gpod.ITDB_THUMB_COVER_SMALL
ITDB_THUMB_COVER_LARGE = _gpod.ITDB_THUMB_COVER_LARGE
ITDB_THUMB_PHOTO_SMALL = _gpod.ITDB_THUMB_PHOTO_SMALL
ITDB_THUMB_PHOTO_LARGE = _gpod.ITDB_THUMB_PHOTO_LARGE
ITDB_THUMB_PHOTO_FULL_SCREEN = _gpod.ITDB_THUMB_PHOTO_FULL_SCREEN
ITDB_THUMB_PHOTO_TV_SCREEN = _gpod.ITDB_THUMB_PHOTO_TV_SCREEN
class _Itdb_Thumb(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, _Itdb_Thumb, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, _Itdb_Thumb, name)
    def __repr__(self):
        return "<%s.%s; proxy of C _Itdb_Thumb instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["type"] = _gpod._Itdb_Thumb_type_set
    __swig_getmethods__["type"] = _gpod._Itdb_Thumb_type_get
    if _newclass:type = property(_gpod._Itdb_Thumb_type_get, _gpod._Itdb_Thumb_type_set)
    __swig_setmethods__["filename"] = _gpod._Itdb_Thumb_filename_set
    __swig_getmethods__["filename"] = _gpod._Itdb_Thumb_filename_get
    if _newclass:filename = property(_gpod._Itdb_Thumb_filename_get, _gpod._Itdb_Thumb_filename_set)
    __swig_setmethods__["offset"] = _gpod._Itdb_Thumb_offset_set
    __swig_getmethods__["offset"] = _gpod._Itdb_Thumb_offset_get
    if _newclass:offset = property(_gpod._Itdb_Thumb_offset_get, _gpod._Itdb_Thumb_offset_set)
    __swig_setmethods__["size"] = _gpod._Itdb_Thumb_size_set
    __swig_getmethods__["size"] = _gpod._Itdb_Thumb_size_get
    if _newclass:size = property(_gpod._Itdb_Thumb_size_get, _gpod._Itdb_Thumb_size_set)
    __swig_setmethods__["width"] = _gpod._Itdb_Thumb_width_set
    __swig_getmethods__["width"] = _gpod._Itdb_Thumb_width_get
    if _newclass:width = property(_gpod._Itdb_Thumb_width_get, _gpod._Itdb_Thumb_width_set)
    __swig_setmethods__["height"] = _gpod._Itdb_Thumb_height_set
    __swig_getmethods__["height"] = _gpod._Itdb_Thumb_height_get
    if _newclass:height = property(_gpod._Itdb_Thumb_height_get, _gpod._Itdb_Thumb_height_set)
    def __init__(self, *args):
        _swig_setattr(self, _Itdb_Thumb, 'this', _gpod.new__Itdb_Thumb(*args))
        _swig_setattr(self, _Itdb_Thumb, 'thisown', 1)
    def __del__(self, destroy=_gpod.delete__Itdb_Thumb):
        try:
            if self.thisown: destroy(self)
        except: pass


class _Itdb_ThumbPtr(_Itdb_Thumb):
    def __init__(self, this):
        _swig_setattr(self, _Itdb_Thumb, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, _Itdb_Thumb, 'thisown', 0)
        self.__class__ = _Itdb_Thumb
_gpod._Itdb_Thumb_swigregister(_Itdb_ThumbPtr)

class _Itdb_Artwork(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, _Itdb_Artwork, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, _Itdb_Artwork, name)
    def __repr__(self):
        return "<%s.%s; proxy of C _Itdb_Artwork instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["thumbnails"] = _gpod._Itdb_Artwork_thumbnails_set
    __swig_getmethods__["thumbnails"] = _gpod._Itdb_Artwork_thumbnails_get
    if _newclass:thumbnails = property(_gpod._Itdb_Artwork_thumbnails_get, _gpod._Itdb_Artwork_thumbnails_set)
    __swig_setmethods__["artwork_size"] = _gpod._Itdb_Artwork_artwork_size_set
    __swig_getmethods__["artwork_size"] = _gpod._Itdb_Artwork_artwork_size_get
    if _newclass:artwork_size = property(_gpod._Itdb_Artwork_artwork_size_get, _gpod._Itdb_Artwork_artwork_size_set)
    __swig_setmethods__["id"] = _gpod._Itdb_Artwork_id_set
    __swig_getmethods__["id"] = _gpod._Itdb_Artwork_id_get
    if _newclass:id = property(_gpod._Itdb_Artwork_id_get, _gpod._Itdb_Artwork_id_set)
    def __init__(self, *args):
        _swig_setattr(self, _Itdb_Artwork, 'this', _gpod.new__Itdb_Artwork(*args))
        _swig_setattr(self, _Itdb_Artwork, 'thisown', 1)
    def __del__(self, destroy=_gpod.delete__Itdb_Artwork):
        try:
            if self.thisown: destroy(self)
        except: pass


class _Itdb_ArtworkPtr(_Itdb_Artwork):
    def __init__(self, this):
        _swig_setattr(self, _Itdb_Artwork, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, _Itdb_Artwork, 'thisown', 0)
        self.__class__ = _Itdb_Artwork
_gpod._Itdb_Artwork_swigregister(_Itdb_ArtworkPtr)

SPL_STRING_MAXLEN = _gpod.SPL_STRING_MAXLEN
SPLMATCH_AND = _gpod.SPLMATCH_AND
SPLMATCH_OR = _gpod.SPLMATCH_OR
LIMITTYPE_MINUTES = _gpod.LIMITTYPE_MINUTES
LIMITTYPE_MB = _gpod.LIMITTYPE_MB
LIMITTYPE_SONGS = _gpod.LIMITTYPE_SONGS
LIMITTYPE_HOURS = _gpod.LIMITTYPE_HOURS
LIMITTYPE_GB = _gpod.LIMITTYPE_GB
LIMITSORT_RANDOM = _gpod.LIMITSORT_RANDOM
LIMITSORT_SONG_NAME = _gpod.LIMITSORT_SONG_NAME
LIMITSORT_ALBUM = _gpod.LIMITSORT_ALBUM
LIMITSORT_ARTIST = _gpod.LIMITSORT_ARTIST
LIMITSORT_GENRE = _gpod.LIMITSORT_GENRE
LIMITSORT_MOST_RECENTLY_ADDED = _gpod.LIMITSORT_MOST_RECENTLY_ADDED
LIMITSORT_LEAST_RECENTLY_ADDED = _gpod.LIMITSORT_LEAST_RECENTLY_ADDED
LIMITSORT_MOST_OFTEN_PLAYED = _gpod.LIMITSORT_MOST_OFTEN_PLAYED
LIMITSORT_LEAST_OFTEN_PLAYED = _gpod.LIMITSORT_LEAST_OFTEN_PLAYED
LIMITSORT_MOST_RECENTLY_PLAYED = _gpod.LIMITSORT_MOST_RECENTLY_PLAYED
LIMITSORT_LEAST_RECENTLY_PLAYED = _gpod.LIMITSORT_LEAST_RECENTLY_PLAYED
LIMITSORT_HIGHEST_RATING = _gpod.LIMITSORT_HIGHEST_RATING
LIMITSORT_LOWEST_RATING = _gpod.LIMITSORT_LOWEST_RATING
SPLACTION_IS_INT = _gpod.SPLACTION_IS_INT
SPLACTION_IS_GREATER_THAN = _gpod.SPLACTION_IS_GREATER_THAN
SPLACTION_IS_LESS_THAN = _gpod.SPLACTION_IS_LESS_THAN
SPLACTION_IS_IN_THE_RANGE = _gpod.SPLACTION_IS_IN_THE_RANGE
SPLACTION_IS_IN_THE_LAST = _gpod.SPLACTION_IS_IN_THE_LAST
SPLACTION_IS_STRING = _gpod.SPLACTION_IS_STRING
SPLACTION_CONTAINS = _gpod.SPLACTION_CONTAINS
SPLACTION_STARTS_WITH = _gpod.SPLACTION_STARTS_WITH
SPLACTION_ENDS_WITH = _gpod.SPLACTION_ENDS_WITH
SPLACTION_IS_NOT_INT = _gpod.SPLACTION_IS_NOT_INT
SPLACTION_IS_NOT_GREATER_THAN = _gpod.SPLACTION_IS_NOT_GREATER_THAN
SPLACTION_IS_NOT_LESS_THAN = _gpod.SPLACTION_IS_NOT_LESS_THAN
SPLACTION_IS_NOT_IN_THE_RANGE = _gpod.SPLACTION_IS_NOT_IN_THE_RANGE
SPLACTION_IS_NOT_IN_THE_LAST = _gpod.SPLACTION_IS_NOT_IN_THE_LAST
SPLACTION_IS_NOT = _gpod.SPLACTION_IS_NOT
SPLACTION_DOES_NOT_CONTAIN = _gpod.SPLACTION_DOES_NOT_CONTAIN
SPLACTION_DOES_NOT_START_WITH = _gpod.SPLACTION_DOES_NOT_START_WITH
SPLACTION_DOES_NOT_END_WITH = _gpod.SPLACTION_DOES_NOT_END_WITH
splft_string = _gpod.splft_string
splft_int = _gpod.splft_int
splft_boolean = _gpod.splft_boolean
splft_date = _gpod.splft_date
splft_playlist = _gpod.splft_playlist
splft_unknown = _gpod.splft_unknown
splat_string = _gpod.splat_string
splat_int = _gpod.splat_int
splat_date = _gpod.splat_date
splat_range_int = _gpod.splat_range_int
splat_range_date = _gpod.splat_range_date
splat_inthelast = _gpod.splat_inthelast
splat_playlist = _gpod.splat_playlist
splat_none = _gpod.splat_none
splat_invalid = _gpod.splat_invalid
splat_unknown = _gpod.splat_unknown
SPLACTION_LAST_DAYS_VALUE = _gpod.SPLACTION_LAST_DAYS_VALUE
SPLACTION_LAST_WEEKS_VALUE = _gpod.SPLACTION_LAST_WEEKS_VALUE
SPLACTION_LAST_MONTHS_VALUE = _gpod.SPLACTION_LAST_MONTHS_VALUE
SPLFIELD_SONG_NAME = _gpod.SPLFIELD_SONG_NAME
SPLFIELD_ALBUM = _gpod.SPLFIELD_ALBUM
SPLFIELD_ARTIST = _gpod.SPLFIELD_ARTIST
SPLFIELD_BITRATE = _gpod.SPLFIELD_BITRATE
SPLFIELD_SAMPLE_RATE = _gpod.SPLFIELD_SAMPLE_RATE
SPLFIELD_YEAR = _gpod.SPLFIELD_YEAR
SPLFIELD_GENRE = _gpod.SPLFIELD_GENRE
SPLFIELD_KIND = _gpod.SPLFIELD_KIND
SPLFIELD_DATE_MODIFIED = _gpod.SPLFIELD_DATE_MODIFIED
SPLFIELD_TRACKNUMBER = _gpod.SPLFIELD_TRACKNUMBER
SPLFIELD_SIZE = _gpod.SPLFIELD_SIZE
SPLFIELD_TIME = _gpod.SPLFIELD_TIME
SPLFIELD_COMMENT = _gpod.SPLFIELD_COMMENT
SPLFIELD_DATE_ADDED = _gpod.SPLFIELD_DATE_ADDED
SPLFIELD_COMPOSER = _gpod.SPLFIELD_COMPOSER
SPLFIELD_PLAYCOUNT = _gpod.SPLFIELD_PLAYCOUNT
SPLFIELD_LAST_PLAYED = _gpod.SPLFIELD_LAST_PLAYED
SPLFIELD_DISC_NUMBER = _gpod.SPLFIELD_DISC_NUMBER
SPLFIELD_RATING = _gpod.SPLFIELD_RATING
SPLFIELD_COMPILATION = _gpod.SPLFIELD_COMPILATION
SPLFIELD_BPM = _gpod.SPLFIELD_BPM
SPLFIELD_GROUPING = _gpod.SPLFIELD_GROUPING
SPLFIELD_PLAYLIST = _gpod.SPLFIELD_PLAYLIST
SPL_MAXSTRINGLENGTH = _gpod.SPL_MAXSTRINGLENGTH
class _SPLPref(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, _SPLPref, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, _SPLPref, name)
    def __repr__(self):
        return "<%s.%s; proxy of C _SPLPref instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["liveupdate"] = _gpod._SPLPref_liveupdate_set
    __swig_getmethods__["liveupdate"] = _gpod._SPLPref_liveupdate_get
    if _newclass:liveupdate = property(_gpod._SPLPref_liveupdate_get, _gpod._SPLPref_liveupdate_set)
    __swig_setmethods__["checkrules"] = _gpod._SPLPref_checkrules_set
    __swig_getmethods__["checkrules"] = _gpod._SPLPref_checkrules_get
    if _newclass:checkrules = property(_gpod._SPLPref_checkrules_get, _gpod._SPLPref_checkrules_set)
    __swig_setmethods__["checklimits"] = _gpod._SPLPref_checklimits_set
    __swig_getmethods__["checklimits"] = _gpod._SPLPref_checklimits_get
    if _newclass:checklimits = property(_gpod._SPLPref_checklimits_get, _gpod._SPLPref_checklimits_set)
    __swig_setmethods__["limittype"] = _gpod._SPLPref_limittype_set
    __swig_getmethods__["limittype"] = _gpod._SPLPref_limittype_get
    if _newclass:limittype = property(_gpod._SPLPref_limittype_get, _gpod._SPLPref_limittype_set)
    __swig_setmethods__["limitsort"] = _gpod._SPLPref_limitsort_set
    __swig_getmethods__["limitsort"] = _gpod._SPLPref_limitsort_get
    if _newclass:limitsort = property(_gpod._SPLPref_limitsort_get, _gpod._SPLPref_limitsort_set)
    __swig_setmethods__["limitvalue"] = _gpod._SPLPref_limitvalue_set
    __swig_getmethods__["limitvalue"] = _gpod._SPLPref_limitvalue_get
    if _newclass:limitvalue = property(_gpod._SPLPref_limitvalue_get, _gpod._SPLPref_limitvalue_set)
    __swig_setmethods__["matchcheckedonly"] = _gpod._SPLPref_matchcheckedonly_set
    __swig_getmethods__["matchcheckedonly"] = _gpod._SPLPref_matchcheckedonly_get
    if _newclass:matchcheckedonly = property(_gpod._SPLPref_matchcheckedonly_get, _gpod._SPLPref_matchcheckedonly_set)
    def __init__(self, *args):
        _swig_setattr(self, _SPLPref, 'this', _gpod.new__SPLPref(*args))
        _swig_setattr(self, _SPLPref, 'thisown', 1)
    def __del__(self, destroy=_gpod.delete__SPLPref):
        try:
            if self.thisown: destroy(self)
        except: pass


class _SPLPrefPtr(_SPLPref):
    def __init__(self, this):
        _swig_setattr(self, _SPLPref, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, _SPLPref, 'thisown', 0)
        self.__class__ = _SPLPref
_gpod._SPLPref_swigregister(_SPLPrefPtr)

class _SPLRule(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, _SPLRule, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, _SPLRule, name)
    def __repr__(self):
        return "<%s.%s; proxy of C _SPLRule instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["field"] = _gpod._SPLRule_field_set
    __swig_getmethods__["field"] = _gpod._SPLRule_field_get
    if _newclass:field = property(_gpod._SPLRule_field_get, _gpod._SPLRule_field_set)
    __swig_setmethods__["action"] = _gpod._SPLRule_action_set
    __swig_getmethods__["action"] = _gpod._SPLRule_action_get
    if _newclass:action = property(_gpod._SPLRule_action_get, _gpod._SPLRule_action_set)
    __swig_setmethods__["string"] = _gpod._SPLRule_string_set
    __swig_getmethods__["string"] = _gpod._SPLRule_string_get
    if _newclass:string = property(_gpod._SPLRule_string_get, _gpod._SPLRule_string_set)
    __swig_setmethods__["fromvalue"] = _gpod._SPLRule_fromvalue_set
    __swig_getmethods__["fromvalue"] = _gpod._SPLRule_fromvalue_get
    if _newclass:fromvalue = property(_gpod._SPLRule_fromvalue_get, _gpod._SPLRule_fromvalue_set)
    __swig_setmethods__["fromdate"] = _gpod._SPLRule_fromdate_set
    __swig_getmethods__["fromdate"] = _gpod._SPLRule_fromdate_get
    if _newclass:fromdate = property(_gpod._SPLRule_fromdate_get, _gpod._SPLRule_fromdate_set)
    __swig_setmethods__["fromunits"] = _gpod._SPLRule_fromunits_set
    __swig_getmethods__["fromunits"] = _gpod._SPLRule_fromunits_get
    if _newclass:fromunits = property(_gpod._SPLRule_fromunits_get, _gpod._SPLRule_fromunits_set)
    __swig_setmethods__["tovalue"] = _gpod._SPLRule_tovalue_set
    __swig_getmethods__["tovalue"] = _gpod._SPLRule_tovalue_get
    if _newclass:tovalue = property(_gpod._SPLRule_tovalue_get, _gpod._SPLRule_tovalue_set)
    __swig_setmethods__["todate"] = _gpod._SPLRule_todate_set
    __swig_getmethods__["todate"] = _gpod._SPLRule_todate_get
    if _newclass:todate = property(_gpod._SPLRule_todate_get, _gpod._SPLRule_todate_set)
    __swig_setmethods__["tounits"] = _gpod._SPLRule_tounits_set
    __swig_getmethods__["tounits"] = _gpod._SPLRule_tounits_get
    if _newclass:tounits = property(_gpod._SPLRule_tounits_get, _gpod._SPLRule_tounits_set)
    __swig_setmethods__["unk052"] = _gpod._SPLRule_unk052_set
    __swig_getmethods__["unk052"] = _gpod._SPLRule_unk052_get
    if _newclass:unk052 = property(_gpod._SPLRule_unk052_get, _gpod._SPLRule_unk052_set)
    __swig_setmethods__["unk056"] = _gpod._SPLRule_unk056_set
    __swig_getmethods__["unk056"] = _gpod._SPLRule_unk056_get
    if _newclass:unk056 = property(_gpod._SPLRule_unk056_get, _gpod._SPLRule_unk056_set)
    __swig_setmethods__["unk060"] = _gpod._SPLRule_unk060_set
    __swig_getmethods__["unk060"] = _gpod._SPLRule_unk060_get
    if _newclass:unk060 = property(_gpod._SPLRule_unk060_get, _gpod._SPLRule_unk060_set)
    __swig_setmethods__["unk064"] = _gpod._SPLRule_unk064_set
    __swig_getmethods__["unk064"] = _gpod._SPLRule_unk064_get
    if _newclass:unk064 = property(_gpod._SPLRule_unk064_get, _gpod._SPLRule_unk064_set)
    __swig_setmethods__["unk068"] = _gpod._SPLRule_unk068_set
    __swig_getmethods__["unk068"] = _gpod._SPLRule_unk068_get
    if _newclass:unk068 = property(_gpod._SPLRule_unk068_get, _gpod._SPLRule_unk068_set)
    def __init__(self, *args):
        _swig_setattr(self, _SPLRule, 'this', _gpod.new__SPLRule(*args))
        _swig_setattr(self, _SPLRule, 'thisown', 1)
    def __del__(self, destroy=_gpod.delete__SPLRule):
        try:
            if self.thisown: destroy(self)
        except: pass


class _SPLRulePtr(_SPLRule):
    def __init__(self, this):
        _swig_setattr(self, _SPLRule, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, _SPLRule, 'thisown', 0)
        self.__class__ = _SPLRule
_gpod._SPLRule_swigregister(_SPLRulePtr)

class _SPLRules(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, _SPLRules, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, _SPLRules, name)
    def __repr__(self):
        return "<%s.%s; proxy of C _SPLRules instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["unk004"] = _gpod._SPLRules_unk004_set
    __swig_getmethods__["unk004"] = _gpod._SPLRules_unk004_get
    if _newclass:unk004 = property(_gpod._SPLRules_unk004_get, _gpod._SPLRules_unk004_set)
    __swig_setmethods__["match_operator"] = _gpod._SPLRules_match_operator_set
    __swig_getmethods__["match_operator"] = _gpod._SPLRules_match_operator_get
    if _newclass:match_operator = property(_gpod._SPLRules_match_operator_get, _gpod._SPLRules_match_operator_set)
    __swig_setmethods__["rules"] = _gpod._SPLRules_rules_set
    __swig_getmethods__["rules"] = _gpod._SPLRules_rules_get
    if _newclass:rules = property(_gpod._SPLRules_rules_get, _gpod._SPLRules_rules_set)
    def __init__(self, *args):
        _swig_setattr(self, _SPLRules, 'this', _gpod.new__SPLRules(*args))
        _swig_setattr(self, _SPLRules, 'thisown', 1)
    def __del__(self, destroy=_gpod.delete__SPLRules):
        try:
            if self.thisown: destroy(self)
        except: pass


class _SPLRulesPtr(_SPLRules):
    def __init__(self, this):
        _swig_setattr(self, _SPLRules, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, _SPLRules, 'thisown', 0)
        self.__class__ = _SPLRules
_gpod._SPLRules_swigregister(_SPLRulesPtr)

ITDB_RATING_STEP = _gpod.ITDB_RATING_STEP
class _Itdb_iTunesDB(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, _Itdb_iTunesDB, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, _Itdb_iTunesDB, name)
    def __repr__(self):
        return "<%s.%s; proxy of C _Itdb_iTunesDB instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["tracks"] = _gpod._Itdb_iTunesDB_tracks_set
    __swig_getmethods__["tracks"] = _gpod._Itdb_iTunesDB_tracks_get
    if _newclass:tracks = property(_gpod._Itdb_iTunesDB_tracks_get, _gpod._Itdb_iTunesDB_tracks_set)
    __swig_setmethods__["playlists"] = _gpod._Itdb_iTunesDB_playlists_set
    __swig_getmethods__["playlists"] = _gpod._Itdb_iTunesDB_playlists_get
    if _newclass:playlists = property(_gpod._Itdb_iTunesDB_playlists_get, _gpod._Itdb_iTunesDB_playlists_set)
    __swig_setmethods__["filename"] = _gpod._Itdb_iTunesDB_filename_set
    __swig_getmethods__["filename"] = _gpod._Itdb_iTunesDB_filename_get
    if _newclass:filename = property(_gpod._Itdb_iTunesDB_filename_get, _gpod._Itdb_iTunesDB_filename_set)
    __swig_setmethods__["mountpoint"] = _gpod._Itdb_iTunesDB_mountpoint_set
    __swig_getmethods__["mountpoint"] = _gpod._Itdb_iTunesDB_mountpoint_get
    if _newclass:mountpoint = property(_gpod._Itdb_iTunesDB_mountpoint_get, _gpod._Itdb_iTunesDB_mountpoint_set)
    __swig_setmethods__["device"] = _gpod._Itdb_iTunesDB_device_set
    __swig_getmethods__["device"] = _gpod._Itdb_iTunesDB_device_get
    if _newclass:device = property(_gpod._Itdb_iTunesDB_device_get, _gpod._Itdb_iTunesDB_device_set)
    __swig_setmethods__["musicdirs"] = _gpod._Itdb_iTunesDB_musicdirs_set
    __swig_getmethods__["musicdirs"] = _gpod._Itdb_iTunesDB_musicdirs_get
    if _newclass:musicdirs = property(_gpod._Itdb_iTunesDB_musicdirs_get, _gpod._Itdb_iTunesDB_musicdirs_set)
    __swig_setmethods__["version"] = _gpod._Itdb_iTunesDB_version_set
    __swig_getmethods__["version"] = _gpod._Itdb_iTunesDB_version_get
    if _newclass:version = property(_gpod._Itdb_iTunesDB_version_get, _gpod._Itdb_iTunesDB_version_set)
    __swig_setmethods__["id"] = _gpod._Itdb_iTunesDB_id_set
    __swig_getmethods__["id"] = _gpod._Itdb_iTunesDB_id_get
    if _newclass:id = property(_gpod._Itdb_iTunesDB_id_get, _gpod._Itdb_iTunesDB_id_set)
    __swig_setmethods__["usertype"] = _gpod._Itdb_iTunesDB_usertype_set
    __swig_getmethods__["usertype"] = _gpod._Itdb_iTunesDB_usertype_get
    if _newclass:usertype = property(_gpod._Itdb_iTunesDB_usertype_get, _gpod._Itdb_iTunesDB_usertype_set)
    __swig_setmethods__["userdata"] = _gpod._Itdb_iTunesDB_userdata_set
    __swig_getmethods__["userdata"] = _gpod._Itdb_iTunesDB_userdata_get
    if _newclass:userdata = property(_gpod._Itdb_iTunesDB_userdata_get, _gpod._Itdb_iTunesDB_userdata_set)
    __swig_setmethods__["userdata_duplicate"] = _gpod._Itdb_iTunesDB_userdata_duplicate_set
    __swig_getmethods__["userdata_duplicate"] = _gpod._Itdb_iTunesDB_userdata_duplicate_get
    if _newclass:userdata_duplicate = property(_gpod._Itdb_iTunesDB_userdata_duplicate_get, _gpod._Itdb_iTunesDB_userdata_duplicate_set)
    __swig_setmethods__["userdata_destroy"] = _gpod._Itdb_iTunesDB_userdata_destroy_set
    __swig_getmethods__["userdata_destroy"] = _gpod._Itdb_iTunesDB_userdata_destroy_get
    if _newclass:userdata_destroy = property(_gpod._Itdb_iTunesDB_userdata_destroy_get, _gpod._Itdb_iTunesDB_userdata_destroy_set)
    def __init__(self, *args):
        _swig_setattr(self, _Itdb_iTunesDB, 'this', _gpod.new__Itdb_iTunesDB(*args))
        _swig_setattr(self, _Itdb_iTunesDB, 'thisown', 1)
    def __del__(self, destroy=_gpod.delete__Itdb_iTunesDB):
        try:
            if self.thisown: destroy(self)
        except: pass


class _Itdb_iTunesDBPtr(_Itdb_iTunesDB):
    def __init__(self, this):
        _swig_setattr(self, _Itdb_iTunesDB, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, _Itdb_iTunesDB, 'thisown', 0)
        self.__class__ = _Itdb_iTunesDB
_gpod._Itdb_iTunesDB_swigregister(_Itdb_iTunesDBPtr)

class _Itdb_Playlist(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, _Itdb_Playlist, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, _Itdb_Playlist, name)
    def __repr__(self):
        return "<%s.%s; proxy of C _Itdb_Playlist instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["itdb"] = _gpod._Itdb_Playlist_itdb_set
    __swig_getmethods__["itdb"] = _gpod._Itdb_Playlist_itdb_get
    if _newclass:itdb = property(_gpod._Itdb_Playlist_itdb_get, _gpod._Itdb_Playlist_itdb_set)
    __swig_setmethods__["name"] = _gpod._Itdb_Playlist_name_set
    __swig_getmethods__["name"] = _gpod._Itdb_Playlist_name_get
    if _newclass:name = property(_gpod._Itdb_Playlist_name_get, _gpod._Itdb_Playlist_name_set)
    __swig_setmethods__["type"] = _gpod._Itdb_Playlist_type_set
    __swig_getmethods__["type"] = _gpod._Itdb_Playlist_type_get
    if _newclass:type = property(_gpod._Itdb_Playlist_type_get, _gpod._Itdb_Playlist_type_set)
    __swig_setmethods__["num"] = _gpod._Itdb_Playlist_num_set
    __swig_getmethods__["num"] = _gpod._Itdb_Playlist_num_get
    if _newclass:num = property(_gpod._Itdb_Playlist_num_get, _gpod._Itdb_Playlist_num_set)
    __swig_setmethods__["members"] = _gpod._Itdb_Playlist_members_set
    __swig_getmethods__["members"] = _gpod._Itdb_Playlist_members_get
    if _newclass:members = property(_gpod._Itdb_Playlist_members_get, _gpod._Itdb_Playlist_members_set)
    __swig_setmethods__["is_spl"] = _gpod._Itdb_Playlist_is_spl_set
    __swig_getmethods__["is_spl"] = _gpod._Itdb_Playlist_is_spl_get
    if _newclass:is_spl = property(_gpod._Itdb_Playlist_is_spl_get, _gpod._Itdb_Playlist_is_spl_set)
    __swig_setmethods__["timestamp"] = _gpod._Itdb_Playlist_timestamp_set
    __swig_getmethods__["timestamp"] = _gpod._Itdb_Playlist_timestamp_get
    if _newclass:timestamp = property(_gpod._Itdb_Playlist_timestamp_get, _gpod._Itdb_Playlist_timestamp_set)
    __swig_setmethods__["id"] = _gpod._Itdb_Playlist_id_set
    __swig_getmethods__["id"] = _gpod._Itdb_Playlist_id_get
    if _newclass:id = property(_gpod._Itdb_Playlist_id_get, _gpod._Itdb_Playlist_id_set)
    __swig_setmethods__["mhodcount"] = _gpod._Itdb_Playlist_mhodcount_set
    __swig_getmethods__["mhodcount"] = _gpod._Itdb_Playlist_mhodcount_get
    if _newclass:mhodcount = property(_gpod._Itdb_Playlist_mhodcount_get, _gpod._Itdb_Playlist_mhodcount_set)
    __swig_setmethods__["libmhodcount"] = _gpod._Itdb_Playlist_libmhodcount_set
    __swig_getmethods__["libmhodcount"] = _gpod._Itdb_Playlist_libmhodcount_get
    if _newclass:libmhodcount = property(_gpod._Itdb_Playlist_libmhodcount_get, _gpod._Itdb_Playlist_libmhodcount_set)
    __swig_setmethods__["sortorder"] = _gpod._Itdb_Playlist_sortorder_set
    __swig_getmethods__["sortorder"] = _gpod._Itdb_Playlist_sortorder_get
    if _newclass:sortorder = property(_gpod._Itdb_Playlist_sortorder_get, _gpod._Itdb_Playlist_sortorder_set)
    __swig_setmethods__["podcastflag"] = _gpod._Itdb_Playlist_podcastflag_set
    __swig_getmethods__["podcastflag"] = _gpod._Itdb_Playlist_podcastflag_get
    if _newclass:podcastflag = property(_gpod._Itdb_Playlist_podcastflag_get, _gpod._Itdb_Playlist_podcastflag_set)
    __swig_setmethods__["splpref"] = _gpod._Itdb_Playlist_splpref_set
    __swig_getmethods__["splpref"] = _gpod._Itdb_Playlist_splpref_get
    if _newclass:splpref = property(_gpod._Itdb_Playlist_splpref_get, _gpod._Itdb_Playlist_splpref_set)
    __swig_setmethods__["splrules"] = _gpod._Itdb_Playlist_splrules_set
    __swig_getmethods__["splrules"] = _gpod._Itdb_Playlist_splrules_get
    if _newclass:splrules = property(_gpod._Itdb_Playlist_splrules_get, _gpod._Itdb_Playlist_splrules_set)
    __swig_setmethods__["usertype"] = _gpod._Itdb_Playlist_usertype_set
    __swig_getmethods__["usertype"] = _gpod._Itdb_Playlist_usertype_get
    if _newclass:usertype = property(_gpod._Itdb_Playlist_usertype_get, _gpod._Itdb_Playlist_usertype_set)
    __swig_setmethods__["userdata"] = _gpod._Itdb_Playlist_userdata_set
    __swig_getmethods__["userdata"] = _gpod._Itdb_Playlist_userdata_get
    if _newclass:userdata = property(_gpod._Itdb_Playlist_userdata_get, _gpod._Itdb_Playlist_userdata_set)
    __swig_setmethods__["userdata_duplicate"] = _gpod._Itdb_Playlist_userdata_duplicate_set
    __swig_getmethods__["userdata_duplicate"] = _gpod._Itdb_Playlist_userdata_duplicate_get
    if _newclass:userdata_duplicate = property(_gpod._Itdb_Playlist_userdata_duplicate_get, _gpod._Itdb_Playlist_userdata_duplicate_set)
    __swig_setmethods__["userdata_destroy"] = _gpod._Itdb_Playlist_userdata_destroy_set
    __swig_getmethods__["userdata_destroy"] = _gpod._Itdb_Playlist_userdata_destroy_get
    if _newclass:userdata_destroy = property(_gpod._Itdb_Playlist_userdata_destroy_get, _gpod._Itdb_Playlist_userdata_destroy_set)
    def __init__(self, *args):
        _swig_setattr(self, _Itdb_Playlist, 'this', _gpod.new__Itdb_Playlist(*args))
        _swig_setattr(self, _Itdb_Playlist, 'thisown', 1)
    def __del__(self, destroy=_gpod.delete__Itdb_Playlist):
        try:
            if self.thisown: destroy(self)
        except: pass


class _Itdb_PlaylistPtr(_Itdb_Playlist):
    def __init__(self, this):
        _swig_setattr(self, _Itdb_Playlist, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, _Itdb_Playlist, 'thisown', 0)
        self.__class__ = _Itdb_Playlist
_gpod._Itdb_Playlist_swigregister(_Itdb_PlaylistPtr)

ITDB_PSO_MANUAL = _gpod.ITDB_PSO_MANUAL
ITDB_PSO_TITLE = _gpod.ITDB_PSO_TITLE
ITDB_PSO_ALBUM = _gpod.ITDB_PSO_ALBUM
ITDB_PSO_ARTIST = _gpod.ITDB_PSO_ARTIST
ITDB_PSO_BIRATE = _gpod.ITDB_PSO_BIRATE
ITDB_PSO_GENRE = _gpod.ITDB_PSO_GENRE
ITDB_PSO_FILETYPE = _gpod.ITDB_PSO_FILETYPE
ITDB_PSO_TIME_MODIFIED = _gpod.ITDB_PSO_TIME_MODIFIED
ITDB_PSO_TRACK_NR = _gpod.ITDB_PSO_TRACK_NR
ITDB_PSO_SIZE = _gpod.ITDB_PSO_SIZE
ITDB_PSO_TIME = _gpod.ITDB_PSO_TIME
ITDB_PSO_YEAR = _gpod.ITDB_PSO_YEAR
ITDB_PSO_SAMPLERATE = _gpod.ITDB_PSO_SAMPLERATE
ITDB_PSO_COMMENT = _gpod.ITDB_PSO_COMMENT
ITDB_PSO_TIME_ADDED = _gpod.ITDB_PSO_TIME_ADDED
ITDB_PSO_EQUALIZER = _gpod.ITDB_PSO_EQUALIZER
ITDB_PSO_COMPOSER = _gpod.ITDB_PSO_COMPOSER
ITDB_PSO_PLAYCOUNT = _gpod.ITDB_PSO_PLAYCOUNT
ITDB_PSO_TIME_PLAYED = _gpod.ITDB_PSO_TIME_PLAYED
ITDB_PSO_CD_NR = _gpod.ITDB_PSO_CD_NR
ITDB_PSO_RATING = _gpod.ITDB_PSO_RATING
ITDB_PSO_RELEASE_DATE = _gpod.ITDB_PSO_RELEASE_DATE
ITDB_PSO_BPM = _gpod.ITDB_PSO_BPM
ITDB_PSO_GROUPING = _gpod.ITDB_PSO_GROUPING
ITDB_PSO_CATEGORY = _gpod.ITDB_PSO_CATEGORY
ITDB_PSO_DESCRIPTION = _gpod.ITDB_PSO_DESCRIPTION
class _Itdb_Track(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, _Itdb_Track, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, _Itdb_Track, name)
    def __repr__(self):
        return "<%s.%s; proxy of C _Itdb_Track instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["itdb"] = _gpod._Itdb_Track_itdb_set
    __swig_getmethods__["itdb"] = _gpod._Itdb_Track_itdb_get
    if _newclass:itdb = property(_gpod._Itdb_Track_itdb_get, _gpod._Itdb_Track_itdb_set)
    __swig_setmethods__["title"] = _gpod._Itdb_Track_title_set
    __swig_getmethods__["title"] = _gpod._Itdb_Track_title_get
    if _newclass:title = property(_gpod._Itdb_Track_title_get, _gpod._Itdb_Track_title_set)
    __swig_setmethods__["ipod_path"] = _gpod._Itdb_Track_ipod_path_set
    __swig_getmethods__["ipod_path"] = _gpod._Itdb_Track_ipod_path_get
    if _newclass:ipod_path = property(_gpod._Itdb_Track_ipod_path_get, _gpod._Itdb_Track_ipod_path_set)
    __swig_setmethods__["album"] = _gpod._Itdb_Track_album_set
    __swig_getmethods__["album"] = _gpod._Itdb_Track_album_get
    if _newclass:album = property(_gpod._Itdb_Track_album_get, _gpod._Itdb_Track_album_set)
    __swig_setmethods__["artist"] = _gpod._Itdb_Track_artist_set
    __swig_getmethods__["artist"] = _gpod._Itdb_Track_artist_get
    if _newclass:artist = property(_gpod._Itdb_Track_artist_get, _gpod._Itdb_Track_artist_set)
    __swig_setmethods__["genre"] = _gpod._Itdb_Track_genre_set
    __swig_getmethods__["genre"] = _gpod._Itdb_Track_genre_get
    if _newclass:genre = property(_gpod._Itdb_Track_genre_get, _gpod._Itdb_Track_genre_set)
    __swig_setmethods__["filetype"] = _gpod._Itdb_Track_filetype_set
    __swig_getmethods__["filetype"] = _gpod._Itdb_Track_filetype_get
    if _newclass:filetype = property(_gpod._Itdb_Track_filetype_get, _gpod._Itdb_Track_filetype_set)
    __swig_setmethods__["comment"] = _gpod._Itdb_Track_comment_set
    __swig_getmethods__["comment"] = _gpod._Itdb_Track_comment_get
    if _newclass:comment = property(_gpod._Itdb_Track_comment_get, _gpod._Itdb_Track_comment_set)
    __swig_setmethods__["category"] = _gpod._Itdb_Track_category_set
    __swig_getmethods__["category"] = _gpod._Itdb_Track_category_get
    if _newclass:category = property(_gpod._Itdb_Track_category_get, _gpod._Itdb_Track_category_set)
    __swig_setmethods__["composer"] = _gpod._Itdb_Track_composer_set
    __swig_getmethods__["composer"] = _gpod._Itdb_Track_composer_get
    if _newclass:composer = property(_gpod._Itdb_Track_composer_get, _gpod._Itdb_Track_composer_set)
    __swig_setmethods__["grouping"] = _gpod._Itdb_Track_grouping_set
    __swig_getmethods__["grouping"] = _gpod._Itdb_Track_grouping_get
    if _newclass:grouping = property(_gpod._Itdb_Track_grouping_get, _gpod._Itdb_Track_grouping_set)
    __swig_setmethods__["description"] = _gpod._Itdb_Track_description_set
    __swig_getmethods__["description"] = _gpod._Itdb_Track_description_get
    if _newclass:description = property(_gpod._Itdb_Track_description_get, _gpod._Itdb_Track_description_set)
    __swig_setmethods__["podcasturl"] = _gpod._Itdb_Track_podcasturl_set
    __swig_getmethods__["podcasturl"] = _gpod._Itdb_Track_podcasturl_get
    if _newclass:podcasturl = property(_gpod._Itdb_Track_podcasturl_get, _gpod._Itdb_Track_podcasturl_set)
    __swig_setmethods__["podcastrss"] = _gpod._Itdb_Track_podcastrss_set
    __swig_getmethods__["podcastrss"] = _gpod._Itdb_Track_podcastrss_get
    if _newclass:podcastrss = property(_gpod._Itdb_Track_podcastrss_get, _gpod._Itdb_Track_podcastrss_set)
    __swig_setmethods__["chapterdata"] = _gpod._Itdb_Track_chapterdata_set
    __swig_getmethods__["chapterdata"] = _gpod._Itdb_Track_chapterdata_get
    if _newclass:chapterdata = property(_gpod._Itdb_Track_chapterdata_get, _gpod._Itdb_Track_chapterdata_set)
    __swig_setmethods__["subtitle"] = _gpod._Itdb_Track_subtitle_set
    __swig_getmethods__["subtitle"] = _gpod._Itdb_Track_subtitle_get
    if _newclass:subtitle = property(_gpod._Itdb_Track_subtitle_get, _gpod._Itdb_Track_subtitle_set)
    __swig_setmethods__["id"] = _gpod._Itdb_Track_id_set
    __swig_getmethods__["id"] = _gpod._Itdb_Track_id_get
    if _newclass:id = property(_gpod._Itdb_Track_id_get, _gpod._Itdb_Track_id_set)
    __swig_setmethods__["size"] = _gpod._Itdb_Track_size_set
    __swig_getmethods__["size"] = _gpod._Itdb_Track_size_get
    if _newclass:size = property(_gpod._Itdb_Track_size_get, _gpod._Itdb_Track_size_set)
    __swig_setmethods__["tracklen"] = _gpod._Itdb_Track_tracklen_set
    __swig_getmethods__["tracklen"] = _gpod._Itdb_Track_tracklen_get
    if _newclass:tracklen = property(_gpod._Itdb_Track_tracklen_get, _gpod._Itdb_Track_tracklen_set)
    __swig_setmethods__["cd_nr"] = _gpod._Itdb_Track_cd_nr_set
    __swig_getmethods__["cd_nr"] = _gpod._Itdb_Track_cd_nr_get
    if _newclass:cd_nr = property(_gpod._Itdb_Track_cd_nr_get, _gpod._Itdb_Track_cd_nr_set)
    __swig_setmethods__["cds"] = _gpod._Itdb_Track_cds_set
    __swig_getmethods__["cds"] = _gpod._Itdb_Track_cds_get
    if _newclass:cds = property(_gpod._Itdb_Track_cds_get, _gpod._Itdb_Track_cds_set)
    __swig_setmethods__["track_nr"] = _gpod._Itdb_Track_track_nr_set
    __swig_getmethods__["track_nr"] = _gpod._Itdb_Track_track_nr_get
    if _newclass:track_nr = property(_gpod._Itdb_Track_track_nr_get, _gpod._Itdb_Track_track_nr_set)
    __swig_setmethods__["tracks"] = _gpod._Itdb_Track_tracks_set
    __swig_getmethods__["tracks"] = _gpod._Itdb_Track_tracks_get
    if _newclass:tracks = property(_gpod._Itdb_Track_tracks_get, _gpod._Itdb_Track_tracks_set)
    __swig_setmethods__["bitrate"] = _gpod._Itdb_Track_bitrate_set
    __swig_getmethods__["bitrate"] = _gpod._Itdb_Track_bitrate_get
    if _newclass:bitrate = property(_gpod._Itdb_Track_bitrate_get, _gpod._Itdb_Track_bitrate_set)
    __swig_setmethods__["samplerate"] = _gpod._Itdb_Track_samplerate_set
    __swig_getmethods__["samplerate"] = _gpod._Itdb_Track_samplerate_get
    if _newclass:samplerate = property(_gpod._Itdb_Track_samplerate_get, _gpod._Itdb_Track_samplerate_set)
    __swig_setmethods__["year"] = _gpod._Itdb_Track_year_set
    __swig_getmethods__["year"] = _gpod._Itdb_Track_year_get
    if _newclass:year = property(_gpod._Itdb_Track_year_get, _gpod._Itdb_Track_year_set)
    __swig_setmethods__["volume"] = _gpod._Itdb_Track_volume_set
    __swig_getmethods__["volume"] = _gpod._Itdb_Track_volume_get
    if _newclass:volume = property(_gpod._Itdb_Track_volume_get, _gpod._Itdb_Track_volume_set)
    __swig_setmethods__["soundcheck"] = _gpod._Itdb_Track_soundcheck_set
    __swig_getmethods__["soundcheck"] = _gpod._Itdb_Track_soundcheck_get
    if _newclass:soundcheck = property(_gpod._Itdb_Track_soundcheck_get, _gpod._Itdb_Track_soundcheck_set)
    __swig_setmethods__["time_added"] = _gpod._Itdb_Track_time_added_set
    __swig_getmethods__["time_added"] = _gpod._Itdb_Track_time_added_get
    if _newclass:time_added = property(_gpod._Itdb_Track_time_added_get, _gpod._Itdb_Track_time_added_set)
    __swig_setmethods__["time_played"] = _gpod._Itdb_Track_time_played_set
    __swig_getmethods__["time_played"] = _gpod._Itdb_Track_time_played_get
    if _newclass:time_played = property(_gpod._Itdb_Track_time_played_get, _gpod._Itdb_Track_time_played_set)
    __swig_setmethods__["time_modified"] = _gpod._Itdb_Track_time_modified_set
    __swig_getmethods__["time_modified"] = _gpod._Itdb_Track_time_modified_get
    if _newclass:time_modified = property(_gpod._Itdb_Track_time_modified_get, _gpod._Itdb_Track_time_modified_set)
    __swig_setmethods__["bookmark_time"] = _gpod._Itdb_Track_bookmark_time_set
    __swig_getmethods__["bookmark_time"] = _gpod._Itdb_Track_bookmark_time_get
    if _newclass:bookmark_time = property(_gpod._Itdb_Track_bookmark_time_get, _gpod._Itdb_Track_bookmark_time_set)
    __swig_setmethods__["rating"] = _gpod._Itdb_Track_rating_set
    __swig_getmethods__["rating"] = _gpod._Itdb_Track_rating_get
    if _newclass:rating = property(_gpod._Itdb_Track_rating_get, _gpod._Itdb_Track_rating_set)
    __swig_setmethods__["playcount"] = _gpod._Itdb_Track_playcount_set
    __swig_getmethods__["playcount"] = _gpod._Itdb_Track_playcount_get
    if _newclass:playcount = property(_gpod._Itdb_Track_playcount_get, _gpod._Itdb_Track_playcount_set)
    __swig_setmethods__["playcount2"] = _gpod._Itdb_Track_playcount2_set
    __swig_getmethods__["playcount2"] = _gpod._Itdb_Track_playcount2_get
    if _newclass:playcount2 = property(_gpod._Itdb_Track_playcount2_get, _gpod._Itdb_Track_playcount2_set)
    __swig_setmethods__["recent_playcount"] = _gpod._Itdb_Track_recent_playcount_set
    __swig_getmethods__["recent_playcount"] = _gpod._Itdb_Track_recent_playcount_get
    if _newclass:recent_playcount = property(_gpod._Itdb_Track_recent_playcount_get, _gpod._Itdb_Track_recent_playcount_set)
    __swig_setmethods__["transferred"] = _gpod._Itdb_Track_transferred_set
    __swig_getmethods__["transferred"] = _gpod._Itdb_Track_transferred_get
    if _newclass:transferred = property(_gpod._Itdb_Track_transferred_get, _gpod._Itdb_Track_transferred_set)
    __swig_setmethods__["BPM"] = _gpod._Itdb_Track_BPM_set
    __swig_getmethods__["BPM"] = _gpod._Itdb_Track_BPM_get
    if _newclass:BPM = property(_gpod._Itdb_Track_BPM_get, _gpod._Itdb_Track_BPM_set)
    __swig_setmethods__["app_rating"] = _gpod._Itdb_Track_app_rating_set
    __swig_getmethods__["app_rating"] = _gpod._Itdb_Track_app_rating_get
    if _newclass:app_rating = property(_gpod._Itdb_Track_app_rating_get, _gpod._Itdb_Track_app_rating_set)
    __swig_setmethods__["type"] = _gpod._Itdb_Track_type_set
    __swig_getmethods__["type"] = _gpod._Itdb_Track_type_get
    if _newclass:type = property(_gpod._Itdb_Track_type_get, _gpod._Itdb_Track_type_set)
    __swig_setmethods__["compilation"] = _gpod._Itdb_Track_compilation_set
    __swig_getmethods__["compilation"] = _gpod._Itdb_Track_compilation_get
    if _newclass:compilation = property(_gpod._Itdb_Track_compilation_get, _gpod._Itdb_Track_compilation_set)
    __swig_setmethods__["starttime"] = _gpod._Itdb_Track_starttime_set
    __swig_getmethods__["starttime"] = _gpod._Itdb_Track_starttime_get
    if _newclass:starttime = property(_gpod._Itdb_Track_starttime_get, _gpod._Itdb_Track_starttime_set)
    __swig_setmethods__["stoptime"] = _gpod._Itdb_Track_stoptime_set
    __swig_getmethods__["stoptime"] = _gpod._Itdb_Track_stoptime_get
    if _newclass:stoptime = property(_gpod._Itdb_Track_stoptime_get, _gpod._Itdb_Track_stoptime_set)
    __swig_setmethods__["checked"] = _gpod._Itdb_Track_checked_set
    __swig_getmethods__["checked"] = _gpod._Itdb_Track_checked_get
    if _newclass:checked = property(_gpod._Itdb_Track_checked_get, _gpod._Itdb_Track_checked_set)
    __swig_setmethods__["dbid"] = _gpod._Itdb_Track_dbid_set
    __swig_getmethods__["dbid"] = _gpod._Itdb_Track_dbid_get
    if _newclass:dbid = property(_gpod._Itdb_Track_dbid_get, _gpod._Itdb_Track_dbid_set)
    __swig_setmethods__["drm_userid"] = _gpod._Itdb_Track_drm_userid_set
    __swig_getmethods__["drm_userid"] = _gpod._Itdb_Track_drm_userid_get
    if _newclass:drm_userid = property(_gpod._Itdb_Track_drm_userid_get, _gpod._Itdb_Track_drm_userid_set)
    __swig_setmethods__["visible"] = _gpod._Itdb_Track_visible_set
    __swig_getmethods__["visible"] = _gpod._Itdb_Track_visible_get
    if _newclass:visible = property(_gpod._Itdb_Track_visible_get, _gpod._Itdb_Track_visible_set)
    __swig_setmethods__["filetype_marker"] = _gpod._Itdb_Track_filetype_marker_set
    __swig_getmethods__["filetype_marker"] = _gpod._Itdb_Track_filetype_marker_get
    if _newclass:filetype_marker = property(_gpod._Itdb_Track_filetype_marker_get, _gpod._Itdb_Track_filetype_marker_set)
    __swig_setmethods__["artwork_count"] = _gpod._Itdb_Track_artwork_count_set
    __swig_getmethods__["artwork_count"] = _gpod._Itdb_Track_artwork_count_get
    if _newclass:artwork_count = property(_gpod._Itdb_Track_artwork_count_get, _gpod._Itdb_Track_artwork_count_set)
    __swig_setmethods__["artwork_size"] = _gpod._Itdb_Track_artwork_size_set
    __swig_getmethods__["artwork_size"] = _gpod._Itdb_Track_artwork_size_get
    if _newclass:artwork_size = property(_gpod._Itdb_Track_artwork_size_get, _gpod._Itdb_Track_artwork_size_set)
    __swig_setmethods__["samplerate2"] = _gpod._Itdb_Track_samplerate2_set
    __swig_getmethods__["samplerate2"] = _gpod._Itdb_Track_samplerate2_get
    if _newclass:samplerate2 = property(_gpod._Itdb_Track_samplerate2_get, _gpod._Itdb_Track_samplerate2_set)
    __swig_setmethods__["unk060"] = _gpod._Itdb_Track_unk060_set
    __swig_getmethods__["unk060"] = _gpod._Itdb_Track_unk060_get
    if _newclass:unk060 = property(_gpod._Itdb_Track_unk060_get, _gpod._Itdb_Track_unk060_set)
    __swig_setmethods__["unk126"] = _gpod._Itdb_Track_unk126_set
    __swig_getmethods__["unk126"] = _gpod._Itdb_Track_unk126_get
    if _newclass:unk126 = property(_gpod._Itdb_Track_unk126_get, _gpod._Itdb_Track_unk126_set)
    __swig_setmethods__["unk132"] = _gpod._Itdb_Track_unk132_set
    __swig_getmethods__["unk132"] = _gpod._Itdb_Track_unk132_get
    if _newclass:unk132 = property(_gpod._Itdb_Track_unk132_get, _gpod._Itdb_Track_unk132_set)
    __swig_setmethods__["time_released"] = _gpod._Itdb_Track_time_released_set
    __swig_getmethods__["time_released"] = _gpod._Itdb_Track_time_released_get
    if _newclass:time_released = property(_gpod._Itdb_Track_time_released_get, _gpod._Itdb_Track_time_released_set)
    __swig_setmethods__["unk144"] = _gpod._Itdb_Track_unk144_set
    __swig_getmethods__["unk144"] = _gpod._Itdb_Track_unk144_get
    if _newclass:unk144 = property(_gpod._Itdb_Track_unk144_get, _gpod._Itdb_Track_unk144_set)
    __swig_setmethods__["unk148"] = _gpod._Itdb_Track_unk148_set
    __swig_getmethods__["unk148"] = _gpod._Itdb_Track_unk148_get
    if _newclass:unk148 = property(_gpod._Itdb_Track_unk148_get, _gpod._Itdb_Track_unk148_set)
    __swig_setmethods__["unk152"] = _gpod._Itdb_Track_unk152_set
    __swig_getmethods__["unk152"] = _gpod._Itdb_Track_unk152_get
    if _newclass:unk152 = property(_gpod._Itdb_Track_unk152_get, _gpod._Itdb_Track_unk152_set)
    __swig_setmethods__["unk156"] = _gpod._Itdb_Track_unk156_set
    __swig_getmethods__["unk156"] = _gpod._Itdb_Track_unk156_get
    if _newclass:unk156 = property(_gpod._Itdb_Track_unk156_get, _gpod._Itdb_Track_unk156_set)
    __swig_setmethods__["unk160"] = _gpod._Itdb_Track_unk160_set
    __swig_getmethods__["unk160"] = _gpod._Itdb_Track_unk160_get
    if _newclass:unk160 = property(_gpod._Itdb_Track_unk160_get, _gpod._Itdb_Track_unk160_set)
    __swig_setmethods__["flag1"] = _gpod._Itdb_Track_flag1_set
    __swig_getmethods__["flag1"] = _gpod._Itdb_Track_flag1_get
    if _newclass:flag1 = property(_gpod._Itdb_Track_flag1_get, _gpod._Itdb_Track_flag1_set)
    __swig_setmethods__["flag2"] = _gpod._Itdb_Track_flag2_set
    __swig_getmethods__["flag2"] = _gpod._Itdb_Track_flag2_get
    if _newclass:flag2 = property(_gpod._Itdb_Track_flag2_get, _gpod._Itdb_Track_flag2_set)
    __swig_setmethods__["flag3"] = _gpod._Itdb_Track_flag3_set
    __swig_getmethods__["flag3"] = _gpod._Itdb_Track_flag3_get
    if _newclass:flag3 = property(_gpod._Itdb_Track_flag3_get, _gpod._Itdb_Track_flag3_set)
    __swig_setmethods__["flag4"] = _gpod._Itdb_Track_flag4_set
    __swig_getmethods__["flag4"] = _gpod._Itdb_Track_flag4_get
    if _newclass:flag4 = property(_gpod._Itdb_Track_flag4_get, _gpod._Itdb_Track_flag4_set)
    __swig_setmethods__["dbid2"] = _gpod._Itdb_Track_dbid2_set
    __swig_getmethods__["dbid2"] = _gpod._Itdb_Track_dbid2_get
    if _newclass:dbid2 = property(_gpod._Itdb_Track_dbid2_get, _gpod._Itdb_Track_dbid2_set)
    __swig_setmethods__["unk176"] = _gpod._Itdb_Track_unk176_set
    __swig_getmethods__["unk176"] = _gpod._Itdb_Track_unk176_get
    if _newclass:unk176 = property(_gpod._Itdb_Track_unk176_get, _gpod._Itdb_Track_unk176_set)
    __swig_setmethods__["unk180"] = _gpod._Itdb_Track_unk180_set
    __swig_getmethods__["unk180"] = _gpod._Itdb_Track_unk180_get
    if _newclass:unk180 = property(_gpod._Itdb_Track_unk180_get, _gpod._Itdb_Track_unk180_set)
    __swig_setmethods__["unk184"] = _gpod._Itdb_Track_unk184_set
    __swig_getmethods__["unk184"] = _gpod._Itdb_Track_unk184_get
    if _newclass:unk184 = property(_gpod._Itdb_Track_unk184_get, _gpod._Itdb_Track_unk184_set)
    __swig_setmethods__["samplecount"] = _gpod._Itdb_Track_samplecount_set
    __swig_getmethods__["samplecount"] = _gpod._Itdb_Track_samplecount_get
    if _newclass:samplecount = property(_gpod._Itdb_Track_samplecount_get, _gpod._Itdb_Track_samplecount_set)
    __swig_setmethods__["unk192"] = _gpod._Itdb_Track_unk192_set
    __swig_getmethods__["unk192"] = _gpod._Itdb_Track_unk192_get
    if _newclass:unk192 = property(_gpod._Itdb_Track_unk192_get, _gpod._Itdb_Track_unk192_set)
    __swig_setmethods__["unk196"] = _gpod._Itdb_Track_unk196_set
    __swig_getmethods__["unk196"] = _gpod._Itdb_Track_unk196_get
    if _newclass:unk196 = property(_gpod._Itdb_Track_unk196_get, _gpod._Itdb_Track_unk196_set)
    __swig_setmethods__["unk200"] = _gpod._Itdb_Track_unk200_set
    __swig_getmethods__["unk200"] = _gpod._Itdb_Track_unk200_get
    if _newclass:unk200 = property(_gpod._Itdb_Track_unk200_get, _gpod._Itdb_Track_unk200_set)
    __swig_setmethods__["unk204"] = _gpod._Itdb_Track_unk204_set
    __swig_getmethods__["unk204"] = _gpod._Itdb_Track_unk204_get
    if _newclass:unk204 = property(_gpod._Itdb_Track_unk204_get, _gpod._Itdb_Track_unk204_set)
    __swig_setmethods__["unk208"] = _gpod._Itdb_Track_unk208_set
    __swig_getmethods__["unk208"] = _gpod._Itdb_Track_unk208_get
    if _newclass:unk208 = property(_gpod._Itdb_Track_unk208_get, _gpod._Itdb_Track_unk208_set)
    __swig_setmethods__["unk212"] = _gpod._Itdb_Track_unk212_set
    __swig_getmethods__["unk212"] = _gpod._Itdb_Track_unk212_get
    if _newclass:unk212 = property(_gpod._Itdb_Track_unk212_get, _gpod._Itdb_Track_unk212_set)
    __swig_setmethods__["unk216"] = _gpod._Itdb_Track_unk216_set
    __swig_getmethods__["unk216"] = _gpod._Itdb_Track_unk216_get
    if _newclass:unk216 = property(_gpod._Itdb_Track_unk216_get, _gpod._Itdb_Track_unk216_set)
    __swig_setmethods__["unk220"] = _gpod._Itdb_Track_unk220_set
    __swig_getmethods__["unk220"] = _gpod._Itdb_Track_unk220_get
    if _newclass:unk220 = property(_gpod._Itdb_Track_unk220_get, _gpod._Itdb_Track_unk220_set)
    __swig_setmethods__["unk224"] = _gpod._Itdb_Track_unk224_set
    __swig_getmethods__["unk224"] = _gpod._Itdb_Track_unk224_get
    if _newclass:unk224 = property(_gpod._Itdb_Track_unk224_get, _gpod._Itdb_Track_unk224_set)
    __swig_setmethods__["unk228"] = _gpod._Itdb_Track_unk228_set
    __swig_getmethods__["unk228"] = _gpod._Itdb_Track_unk228_get
    if _newclass:unk228 = property(_gpod._Itdb_Track_unk228_get, _gpod._Itdb_Track_unk228_set)
    __swig_setmethods__["unk232"] = _gpod._Itdb_Track_unk232_set
    __swig_getmethods__["unk232"] = _gpod._Itdb_Track_unk232_get
    if _newclass:unk232 = property(_gpod._Itdb_Track_unk232_get, _gpod._Itdb_Track_unk232_set)
    __swig_setmethods__["unk236"] = _gpod._Itdb_Track_unk236_set
    __swig_getmethods__["unk236"] = _gpod._Itdb_Track_unk236_get
    if _newclass:unk236 = property(_gpod._Itdb_Track_unk236_get, _gpod._Itdb_Track_unk236_set)
    __swig_setmethods__["unk240"] = _gpod._Itdb_Track_unk240_set
    __swig_getmethods__["unk240"] = _gpod._Itdb_Track_unk240_get
    if _newclass:unk240 = property(_gpod._Itdb_Track_unk240_get, _gpod._Itdb_Track_unk240_set)
    __swig_setmethods__["chapterdata_raw"] = _gpod._Itdb_Track_chapterdata_raw_set
    __swig_getmethods__["chapterdata_raw"] = _gpod._Itdb_Track_chapterdata_raw_get
    if _newclass:chapterdata_raw = property(_gpod._Itdb_Track_chapterdata_raw_get, _gpod._Itdb_Track_chapterdata_raw_set)
    __swig_setmethods__["chapterdata_raw_length"] = _gpod._Itdb_Track_chapterdata_raw_length_set
    __swig_getmethods__["chapterdata_raw_length"] = _gpod._Itdb_Track_chapterdata_raw_length_get
    if _newclass:chapterdata_raw_length = property(_gpod._Itdb_Track_chapterdata_raw_length_get, _gpod._Itdb_Track_chapterdata_raw_length_set)
    __swig_setmethods__["artwork"] = _gpod._Itdb_Track_artwork_set
    __swig_getmethods__["artwork"] = _gpod._Itdb_Track_artwork_get
    if _newclass:artwork = property(_gpod._Itdb_Track_artwork_get, _gpod._Itdb_Track_artwork_set)
    __swig_setmethods__["usertype"] = _gpod._Itdb_Track_usertype_set
    __swig_getmethods__["usertype"] = _gpod._Itdb_Track_usertype_get
    if _newclass:usertype = property(_gpod._Itdb_Track_usertype_get, _gpod._Itdb_Track_usertype_set)
    __swig_setmethods__["userdata"] = _gpod._Itdb_Track_userdata_set
    __swig_getmethods__["userdata"] = _gpod._Itdb_Track_userdata_get
    if _newclass:userdata = property(_gpod._Itdb_Track_userdata_get, _gpod._Itdb_Track_userdata_set)
    __swig_setmethods__["userdata_duplicate"] = _gpod._Itdb_Track_userdata_duplicate_set
    __swig_getmethods__["userdata_duplicate"] = _gpod._Itdb_Track_userdata_duplicate_get
    if _newclass:userdata_duplicate = property(_gpod._Itdb_Track_userdata_duplicate_get, _gpod._Itdb_Track_userdata_duplicate_set)
    __swig_setmethods__["userdata_destroy"] = _gpod._Itdb_Track_userdata_destroy_set
    __swig_getmethods__["userdata_destroy"] = _gpod._Itdb_Track_userdata_destroy_get
    if _newclass:userdata_destroy = property(_gpod._Itdb_Track_userdata_destroy_get, _gpod._Itdb_Track_userdata_destroy_set)
    def __init__(self, *args):
        _swig_setattr(self, _Itdb_Track, 'this', _gpod.new__Itdb_Track(*args))
        _swig_setattr(self, _Itdb_Track, 'thisown', 1)
    def __del__(self, destroy=_gpod.delete__Itdb_Track):
        try:
            if self.thisown: destroy(self)
        except: pass


class _Itdb_TrackPtr(_Itdb_Track):
    def __init__(self, this):
        _swig_setattr(self, _Itdb_Track, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, _Itdb_Track, 'thisown', 0)
        self.__class__ = _Itdb_Track
_gpod._Itdb_Track_swigregister(_Itdb_TrackPtr)

ITDB_FILE_ERROR_SEEK = _gpod.ITDB_FILE_ERROR_SEEK
ITDB_FILE_ERROR_CORRUPT = _gpod.ITDB_FILE_ERROR_CORRUPT
ITDB_FILE_ERROR_NOTFOUND = _gpod.ITDB_FILE_ERROR_NOTFOUND
ITDB_FILE_ERROR_RENAME = _gpod.ITDB_FILE_ERROR_RENAME
ITDB_FILE_ERROR_ITDB_CORRUPT = _gpod.ITDB_FILE_ERROR_ITDB_CORRUPT

itdb_file_error_quark = _gpod.itdb_file_error_quark

itdb_parse = _gpod.itdb_parse

itdb_parse_file = _gpod.itdb_parse_file

itdb_write = _gpod.itdb_write

itdb_write_file = _gpod.itdb_write_file

itdb_shuffle_write = _gpod.itdb_shuffle_write

itdb_shuffle_write_file = _gpod.itdb_shuffle_write_file

itdb_new = _gpod.itdb_new

itdb_free = _gpod.itdb_free

itdb_duplicate = _gpod.itdb_duplicate

itdb_tracks_number = _gpod.itdb_tracks_number

itdb_tracks_number_nontransferred = _gpod.itdb_tracks_number_nontransferred

itdb_playlists_number = _gpod.itdb_playlists_number

itdb_musicdirs_number = _gpod.itdb_musicdirs_number

itdb_resolve_path = _gpod.itdb_resolve_path

itdb_rename_files = _gpod.itdb_rename_files

itdb_cp_track_to_ipod = _gpod.itdb_cp_track_to_ipod

itdb_cp = _gpod.itdb_cp

itdb_filename_fs2ipod = _gpod.itdb_filename_fs2ipod

itdb_filename_ipod2fs = _gpod.itdb_filename_ipod2fs

itdb_filename_on_ipod = _gpod.itdb_filename_on_ipod

itdb_set_mountpoint = _gpod.itdb_set_mountpoint

itdb_track_new = _gpod.itdb_track_new

itdb_track_free = _gpod.itdb_track_free

itdb_track_add = _gpod.itdb_track_add

itdb_track_remove = _gpod.itdb_track_remove

itdb_track_unlink = _gpod.itdb_track_unlink

itdb_track_duplicate = _gpod.itdb_track_duplicate

itdb_track_by_id = _gpod.itdb_track_by_id

itdb_track_id_tree_create = _gpod.itdb_track_id_tree_create

itdb_track_id_tree_destroy = _gpod.itdb_track_id_tree_destroy

itdb_track_id_tree_by_id = _gpod.itdb_track_id_tree_by_id

itdb_playlist_new = _gpod.itdb_playlist_new

itdb_playlist_free = _gpod.itdb_playlist_free

itdb_playlist_add = _gpod.itdb_playlist_add

itdb_playlist_move = _gpod.itdb_playlist_move

itdb_playlist_remove = _gpod.itdb_playlist_remove

itdb_playlist_unlink = _gpod.itdb_playlist_unlink

itdb_playlist_duplicate = _gpod.itdb_playlist_duplicate

itdb_playlist_exists = _gpod.itdb_playlist_exists

itdb_playlist_add_track = _gpod.itdb_playlist_add_track

itdb_playlist_by_id = _gpod.itdb_playlist_by_id

itdb_playlist_by_nr = _gpod.itdb_playlist_by_nr

itdb_playlist_by_name = _gpod.itdb_playlist_by_name

itdb_playlist_contains_track = _gpod.itdb_playlist_contains_track

itdb_playlist_contain_track_number = _gpod.itdb_playlist_contain_track_number

itdb_playlist_remove_track = _gpod.itdb_playlist_remove_track

itdb_playlist_tracks_number = _gpod.itdb_playlist_tracks_number

itdb_playlist_randomize = _gpod.itdb_playlist_randomize

itdb_playlist_mpl = _gpod.itdb_playlist_mpl

itdb_playlist_is_mpl = _gpod.itdb_playlist_is_mpl

itdb_playlist_set_mpl = _gpod.itdb_playlist_set_mpl

itdb_playlist_podcasts = _gpod.itdb_playlist_podcasts

itdb_playlist_is_podcasts = _gpod.itdb_playlist_is_podcasts

itdb_playlist_set_podcasts = _gpod.itdb_playlist_set_podcasts

itdb_splr_get_field_type = _gpod.itdb_splr_get_field_type

itdb_splr_get_action_type = _gpod.itdb_splr_get_action_type

itdb_splr_validate = _gpod.itdb_splr_validate

itdb_splr_remove = _gpod.itdb_splr_remove

itdb_splr_new = _gpod.itdb_splr_new

itdb_splr_add = _gpod.itdb_splr_add

itdb_splr_add_new = _gpod.itdb_splr_add_new

itdb_spl_copy_rules = _gpod.itdb_spl_copy_rules

itdb_splr_eval = _gpod.itdb_splr_eval

itdb_spl_update = _gpod.itdb_spl_update

itdb_spl_update_all = _gpod.itdb_spl_update_all

itdb_spl_update_live = _gpod.itdb_spl_update_live

itdb_track_set_thumbnails = _gpod.itdb_track_set_thumbnails

itdb_track_remove_thumbnails = _gpod.itdb_track_remove_thumbnails

itdb_artwork_new = _gpod.itdb_artwork_new

itdb_artwork_duplicate = _gpod.itdb_artwork_duplicate

itdb_artwork_free = _gpod.itdb_artwork_free

itdb_artwork_get_thumb_by_type = _gpod.itdb_artwork_get_thumb_by_type

itdb_artwork_add_thumbnail = _gpod.itdb_artwork_add_thumbnail

itdb_artwork_remove_thumbnail = _gpod.itdb_artwork_remove_thumbnail

itdb_artwork_remove_thumbnails = _gpod.itdb_artwork_remove_thumbnails

itdb_thumb_get_gdk_pixbuf = _gpod.itdb_thumb_get_gdk_pixbuf

itdb_thumb_duplicate = _gpod.itdb_thumb_duplicate

itdb_thumb_free = _gpod.itdb_thumb_free

itdb_thumb_new = _gpod.itdb_thumb_new

itdb_thumb_get_filename = _gpod.itdb_thumb_get_filename

itdb_time_get_mac_time = _gpod.itdb_time_get_mac_time

itdb_time_mac_to_host = _gpod.itdb_time_mac_to_host

itdb_time_host_to_mac = _gpod.itdb_time_host_to_mac


